Name:		monsterz
Version: 0.6.0
Release:    %mkrel 4
# in reality, this is the DWYF license..
License:	Freeware
Group:		Games/Puzzles
Summary:    A little addictive puzzle game
Source:     http://sam.zoy.org/projects/monsterz/%{name}-%{version}.tar.bz2
Patch:      monsterz-0.6.0-fix_new_pygame.diff.bz2
Url:        http://sam.zoy.org/projects/monsterz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:   pygame
BuildArch:  noarch 
BuildRequires: ImageMagick

%description
Monsterz is a little puzzle game, similar to the famous Bejeweled or Zookeeper.

The goal of the game is to create rows of similar monsters, either horizontally 
or vertically. The only allowed move is the swap of two adjacent monsters, on 
the condition that it creates a row of three or more. When alignments are 
cleared, pieces fall from the top of the screen to fill the board again. Chain 
reactions earn you even more points.

This game is mostly about luck, but it remains highly addictive. You have been 
warned. 

%prep
%setup -q 
%patch0

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_gamesdatadir}/%{name}
cp -R monsterz.py graphics/ sound/ $RPM_BUILD_ROOT/%{_gamesdatadir}/%{name}

mkdir -p $RPM_BUILD_ROOT/%{_gamesbindir}/

cat > $RPM_BUILD_ROOT/%{_gamesbindir}/%{name} <<EOF
#!/bin/bash
exec python %{_gamesdatadir}/%{name}/monsterz.py
EOF

chmod 755 $RPM_BUILD_ROOT/%{_gamesbindir}/%{name}

mkdir -p $RPM_BUILD_ROOT/%{_menudir}/

cat > %buildroot/%_menudir/%name << EOF
?package(%{name}): needs=x11 \
icon="%{name}.png" \
section="More Applications/Games/Puzzles" \
title=Monsterz longtitle="Addictive puzzle game" \
command="%{_gamesbindir}/%{name}"
EOF

mkdir -p $RPM_BUILD_ROOT{%{_miconsdir},%{_iconsdir},%{_liconsdir}}/
convert -geometry 16x16 graphics/icon.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert -geometry 32x32 graphics/icon.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 48x48 graphics/icon.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{update_menus}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README TODO 
%{_gamesdatadir}/%{name}/
%{_gamesbindir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Sep 12 2005 Michael Scherer <misc@mandriva.org> 0.6.0-4mdk
- directly call the python script without cd, fix lack of music 

* Mon Sep 12 2005 Michael Scherer <misc@mandriva.org> 0.6.0-3mdk
- patch0 to fix #18471, unlock surface when calling blit()
- mkrel

* Wed Apr 27 2005 Gtz Waschk <waschk@mandriva.org> 0.6.0-2mdk
- fix the license

* Wed Apr 06 2005 Götz Waschk <waschk@linux-mandrake.com> 0.6.0-1mdk
- New release 0.6.0

* Fri Apr  1 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-3mdk
- add missing binary

* Thu Mar 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-2mdk
- fix buildrequires

* Thu Mar 31 2005 Michael Scherer <misc@mandrake.org> 0.5.0-1mdk
- New release 0.5.0

* Mon Mar 21 2005 Michael Scherer <misc@mandrake.org> 0.4.1-1mdk
- First Mandrakelinux package

